struct Key

# struct Key | Represents a key press. More...
Full name | `KKeyServer::Key`
Definition | `#include <kkeyserver_x11.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum { CODE_FOR_QT = 256 }

#### Public Methods

- bool init ( const KKey& key, bool bQt )
- bool isNative () const
- uint code () const
- uint mod () const
- uint sym () const
- int keyCodeQt () const
- void setKeycodeQt ( int keyQt )
- Key& operator = ( const KKeyNative& key )
- int compare ( const Key& key ) const
- bool operator == ( const Key& b ) const
- bool operator < ( const Key& b ) const
- KKey key () const

#### Public Members

- uint m_code
- uint m_mod
- uint m_sym

## Detailed Description

Represents a key press.

See also: KKey

enum { CODE_FOR_QT = 256 } | ###

uint m_code | ### m_code

uint m_mod | ### m_mod

uint m_sym | ### m_sym

bool init ( const KKey& key, bool bQt ) | ### init

Initializes the key with a KKey.

Parameters:

key | the key to get the data from
bQt | true to take the Qt keycode, false for the native key code

See also: KKeyNative, KKeyNative

bool isNative () | ### isNative

[const]

Checks whether the key code is a native code.

Returns: true if native code of the window system, false if it is a Qt keycode

See also: KKeyNative, KKeyNative

uint code () | ### code

[const]

Returns the code of the key.

Returns: the code of the key

uint mod () | ### mod

[const]

Returns the modifiers of the key.

Returns: the modifiers of the key

uint sym () | ### sym

[const]

Returns the symbol of the key.

Returns: the symbol of the key

int keyCodeQt () | ### keyCodeQt

[const]

Returns the qt key code.

Returns: the qt key code

void setKeycodeQt ( int keyQt ) | ### setKeycodeQt

Sets the qt key code.

Parameters:

keyQt | the qt key code

Key& operator = ( const KKeyNative& key ) | ### operator =

Initializes this key with a KKeyNative.

Returns: this key

int compare ( const Key& key ) | ### compare

[const]

Compares this key with the given Key object. Returns a negative number if the given Key is larger, 0 if they are equal and a positive number this Key is larger. The returned value is the difference between the symbol, modifier or code, whatever is non-zero first.

Parameters:

key | the key to compare with this key

Returns: a negative number if the given Key is larger, 0 if they are equal and a positive number this Key is larger

bool operator == ( const Key& b ) | ### operator ==

[const]

Compares the symbol, modifiers and code of both keys.

See also: compare()

bool operator < ( const Key& b ) | ### operator <

[const]

Compares the symbol, modifiers and code of both keys.

See also: compare()

KKey key () | ### key

[const]

Converts this Key to a KKey.

Returns: the KKey

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:36:15 2003, using kdoc 2.0a54.